RedHat 8.0 のRPM データベースはよく壊れます。なんとかならないでしょうか

報告は下記にあります。
http://user.ecc.u-tokyo.ac.jp/~t10521/memo/broken_rpmdb.html
RedHat 9.0 なら壊れないのは確認しています。
apt-get でRedHat 8.0 をしばらくメンテナンスする必要があるので、同様の悩みかかている方で、解決方法お持ちの方よろしくお願いします。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2004/04/27 11:58:43
  • 終了:--

回答(2件)

id:catnap No.1

catnap回答回数9ベストアンサー獲得回数02004/04/27 12:44:29

ポイント30pt

ftp://www.rpm.org/pub/rpm/dist/rpm-4.2.x/

私のところでは、RedHat 9でも壊れることがありました。

kernelを2.6.xにバージョンアップする過程で、rpm-4.2.xにバージョンアップしたところ、安定して動作しています。

rpm自体を4.2にバージョンアップしてはいかがでしょうか?

以下の5つをダウンロードし、rpm -Fvh してみてください。

rpm-4.2-1.i386.rpm

rpm-build-4.2-1.i386.rpm

rpm-devel-4.2-1.i386.rpm

rpm-python-4.2-1.i386.rpm

popt-1.8-1.i386.rpm

id:zanjibar

どうもありがとうございます。

apt-get 使っているので、それに整合性がとれなくなるといやなのですが、無理なのでしょうか?

2004/04/27 12:52:01
id:catnap No.2

catnap回答回数9ベストアンサー獲得回数02004/04/27 13:24:37

ポイント30pt

RedHat8ですから、apt-get for rpmを使っているのですよね?

でしたら、apt-getの整合性は、rpmに依存します。

rpmをバージョンアップすることで、整合性が取れなくなることはありません。

こちらでも、rpm 4.2 と、apt-get を使っていますが、全く問題ありません。

id:zanjibar

ありがとうございました。

2004/04/27 14:13:17

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません